<?php
include_once('c_quiz.php') ;
class c_page_cab_quiz_stats_new extends c_page_cab_quiz
{
 public $h1='Контроль знаний - оценка знаний - новая статистика' ;
 var $theme_id;
 var $section_id;
 var $view_filter=1;

// var $use_fusioncharts=1 ;

 public $default_rating_order=[
         ['type'=>'question','name'=>'Вопросы'], //будет основным: ключ 0
         ['type'=>'personal','name'=>'Сотрудники'],
         ['type'=>'org','name'=>'Организации'],
         ['type'=>'department','name'=>'Подразделения'],
         ['type'=>'work','name'=>'Должности'],
 ];

 public $stats_elem_id='stats_chart_div';

    function set_head_tags() {
        parent::set_head_tags() ;
        $this->HEAD['css'][] = _PATH_TO_EXT.'/quiz/analyze_style.css?'.time();
        $this->HEAD['js'][] = _PATH_TO_EXT.'/quiz/addition/jquery.loadingIndicator.js';
    }

   function block_main()
   {
       $this->page_title('Статистика проверки знаний (новая)');
       $this->panel_report();
   }

   function panel_report()
   {
       include_once(_DIR_EXT.'/quiz/report_quiz_stats4.php');
       $report_obj=new report_quiz_stats4();
       $report_obj->setting();
       $report_obj->view_as_HTML();
   }
}
?>
